Solidworks как сделать деталь
Перейти к содержимому

Solidworks как сделать деталь

  • автор:

Как сделать модель в SOLIDWORKS

На вопрос как создавать модель в SolidWorks, опытный пользователь ответит, что это достаточно емкий вопрос, но в тоже самое время очень простой.

Создание модели в SolidWorks зависит практически от многих факторов: сложность геометрии модели, количество исходных размеров, ее конфигурация и т.д. Это касается самой детали, но есть еще другая сторона.

Твердотельное моделирование в SolidWorks даже одной и той же детали, может быть осуществлено с помощью разных инструментов и способов в зависимости от того, как проектировщик себе это представляет. Тем не менее, для понимания общей картины, давайте рассмотрим как же выглядит создание модели в SolidWorks на самом простом примере.

Содержание

Создаем новый документ

Итак, запускаем Солидворкс и создаем новый тип документа. Нажимаем Файл > Новый > Деталь.

Как сделать модель в SOLIDWORKS 01

Магазин курсов студии Vertex

Создадим вот такую простейшею деталь.

Создаем эскиз

Создание любой детали начинается с эскиза. Но для того чтобы начать строить эскиз, необходимо выбрать плоскость в котором он будет чертиться. Выберем плоскость Спереди и во вкладке Эскиз нажмём на Эскиз.

Как сделать модель в SOLIDWORKS 02

Итак, мы перешли в режим построения эскиза.

Как сделать модель в SOLIDWORKS 03

Во вкладке Эскиз, выберем инструмент Окружность.

Как сделать модель в SOLIDWORKS 04

Нажимаем на центр координат осей и проводим окружность, фиксируя его размер левой клавишей мыши.

Как сделать модель в SOLIDWORKS 05

Как только окружность будет выстроена, она заполниться серым цветом. Это означает что контур эскиза замкнутый.

Как сделать модель в SOLIDWORKS 06

В левой части экрана, на панели параметров нажимаем ОК.

Как сделать модель в SOLIDWORKS 07

Зададим размер окружности. Во вкладке Эскиз выбираем Автоматическое нанесение размеров и нажимаем на линию окружности, фиксируя размер в необходимом положении.

Как сделать модель в SOLIDWORKS 08

Далее, должно появится окно в котором нужно указать значение размера. Если его нету, кликаем двойным щелчком мыши на размер.

Как сделать модель в SOLIDWORKS 09

Укажем диаметр 80 мм и нажимаем ОК.

Как сделать модель в SOLIDWORKS 10

Теперь, пробуем сами создать еще одну вписанную окружность аналогичным образом, но с диаметров 50 мм.

Как сделать модель в SOLIDWORKS 11

Как только у вас это получилось, нажимаем на кнопку Выход из эскиза, в правой части экрана.

Как сделать модель в SOLIDWORKS 12

Итак, эскиз готов, но это еще не модель. Для этого уже перейдем непосредственно к твердотельному моделированию.

Как сделать модель в SOLIDWORKS 16

Создание твердотельной детали

Выделим готовый эскиз и переходим во вкладку Элементы. Там выбираем Вытянутая бобышка/основание.

Как сделать модель в SOLIDWORKS 13

И сразу можем предварительно увидеть как будет выглядеть твердотельная модель. В левой части в графе Направление 1 указываем расстояние, то есть толщина детали и нажимаем ОК.

Как сделать модель в SOLIDWORKS 14

Как сделать модель в SOLIDWORKS 15

Поздравляем! Ваша первая модель готова.

Создание модели зависит от многих факторов, но тем не менее, если в них разобраться, они достаточны логичны и просты.

Как сделать из сборки деталь.

Lana Pinaeva

Вы можете опубликовать сообщение сейчас, а зарегистрироваться позже. Если у вас есть аккаунт, войдите в него для написания от своего имени.
Примечание: вашему сообщению потребуется утверждение модератора, прежде чем оно станет доступным.

Сейчас на странице 0 пользователей

Нет пользователей, просматривающих эту страницу.

Сообщения

mamomot

Автор: mamomot · Опубликовано: 10 минут назад
Вы — специалист по прочистке унитазов? Вантузом работаете?
Автор: gudstartup · Опубликовано: 1 час назад
В 2017 возможно все и решилось.
Автор: gudstartup · Опубликовано: 1 час назад
мониторинг и только сервис может еще кое что дистанционно посмотреть

VOleg

Автор: VOleg · Опубликовано: 1 час назад

Переписать Автора, Обозначение, Наименование получилось, но с текущей конфигурации. Надо бы перейти в конфигурацию 00. Дополнительно с вкладки Настройки надо списать имя папки, добавив диск «D» и сформировать имя файла =D:\Имя папки\Обозначение Наименование, проверить сохранен ли файл модели и если не сохранен, то сохранить. Далее проверить есть ли в папке чертеж, если есть, то открыть, если нет, то создать, заполнить вкладку Сумм. информ. чертежа, сохранить чертеж и закончить работу макроса — дальше я буду работать с чертежом. Вроде так? ‘Option Explicit Option Base 0 Dim swApp As Object Sub sumprop() Dim swApp As SldWorks.SldWorks Dim swModel As SldWorks.ModelDoc2 Dim swConfigMgr As SldWorks.ConfigurationManager Dim swConfig As SldWorks.Configuration Dim swCustPropMgr As SldWorks.CustomPropertyManager Dim cpm As CustomPropertyManager Dim mde As ModelDocExtension Dim vPropNames As Variant Dim vConfName As Variant Dim vConfParam As Variant Dim vConfValue As Variant Dim i As Long Dim j As Long Dim n As Integer Dim nprops As Integer Dim valOut As String Dim resolvedValOut As String Dim custPropType As Long Dim dcn As Variant Dim naim As Variant dcn = Null naim = Null Set swApp = Application.SldWorks Set swModel = swApp.ActiveDoc ‘ Начальные проверки If swModel Is Nothing Then MsgBox «Откройте документ», , «Ничего не открыто» Exit Sub End If Set swConfigMgr = swModel.ConfigurationManager Set swConfig = swConfigMgr.ActiveConfiguration Set swCustPropMgr = swConfig.CustomPropertyManager Set mde = swModel.Extension() Set cpm = mde.CustomPropertyManager(«») nprops = swCustPropMgr.Count vPropNames = swCustPropMgr.GetNames For j = 0 To nprops — 1 swCustPropMgr.Get2 vPropNames(j), valOut, resolvedValOut If vPropNames(j) = «Обозначение» Then dcn = resolvedValOut If vPropNames(j) = «Наименование» Then naim = resolvedValOut Next j If IsNull(dcn) Then MsgBox «Свойство » + VBA.Chr(34) + «Обозначение» + VBA.Chr(34) + » не найдено в текущей конфигурации» Else swModel.SummaryInfo(swSumInfoSubject) = dcn End If If IsNull(naim) Then MsgBox «Свойство » + VBA.Chr(34) + «Наименование» + VBA.Chr(34) + » не найдено в текущей конфигурации» Else swModel.SummaryInfo(swSumInfoTitle) = naim End If swModel.SummaryInfo(swSumInfoAuthor) = cpm.Get(«Разраб.») End Sub Забыл про виртуальную деталь со свойствами спецификации

Автор: karlf · Опубликовано: 2 часа назад

Здравствуйте. Подскажите пожалуйста, из-за чего могут не применяться параметры кинематики? Станок DMU-70V на стойке TNC 426. Меняю в параметрах 7530.1. Пробовал также создавать кинематическую таблицу и указывать к ней путь в файле OEM.SYS, но тоже ничего не происходит после перезагрузки.

VOleg

Автор: VOleg · Опубликовано: 3 часа назад

Пункты 1 и 2 думаю изложить по -другому: 1 Я создаю новую модель. Заполняю на вкладке Конфигурация Обозначение и Наименование. На вкладке Настройка из списка (через Таб-билдер) выбираю себя и папку, в которую будет все это складываться. 2 Закончив и сохранив модель я жму кнопку макроса «Создать чертеж». При этом все эти свойства переписываются в Суммарную информацию модели и чертежа. Дополнительно в модели создается виртуальная деталь «СП», в которую записываются все свойства спецификации: Обозначение, Наименование, Автор, Перв. применение спецификации, № изменения, № извещения, имя папки. Пункт 3 надо то же подправить: 3 Для сборочного чертежа я жму кнопку макроса «Создать спецификацию». При этом за полем чертежа вставляется спецификация, сразу формируется имя файла и подставляется имя папки, спецификация сохраняется с расширением XLS. Можно здесь же сохранить и сам чертеж, и PDF, благо имена одинаковые и уже сформированы. Соответственно в свойства файла PDF записываем Обозначение Наименование Автор. 4 Ну а для чертежа детали кнопка макроса «Сохранить» — аналогично п.3 но без спецификации.

Автор: neon4ik1 · Опубликовано: 3 часа назад

Добрый день , есть станок Ermaksan Speed band pro , под управление Kvara S640 , перестал включаться ошибка DLL loader init error 1117 , пост код 4 . Может кто сталкивался .

SOLIDWORKS. Конструирование детали из твердого тела и преобразование ее в деталь из листового металла.

Приложение «Листовой металл» в программе SOLIDWORKS работает таким образом, что построение детали можно организовать двумя способами:

1. Прямой, при котором все грани и изгибы будут создаваться последовательно;

2. Путем преобразования твердого тела в листовой металл.

Сегодня разберем второй способ.
Для начала необходимо создать некую твердотельную деталь.

Далее нужно срезать пик и перейти к созданию оболочки из твердого тела.

При создании оболочки необходимо в поле «Толщина стенки» ввести значение, которое будет соответствовать толщине листового металла.

Далее переходим на вкладку «Листовой металл» и на ней выбираем инструмент «Разрыв». В настройках нужно будет указать ребра, по которым будет происходить разрыв, и размер зазора между гранями, которые будут созданы в результате данной операции.

Так выглядит модель после выполнения указанных выше операций (примечание: ребра лучше выбирать внутренние, т.к. величина разрыва будет считаться по внутренней его части).

Для построения детали из листового металла и развертки на его основе, необходимо преобразовать модель в листовой металл и указать сгибы, по которым будут разворачиваться грани призмы.

1. Переходим во вкладку «Листовой металл»;

2. Выбираем инструмент «Преобразовать в листовой металл»;

3. Дальнейшие настройки производим согласно изображению ниже.

5. В дереве построения видим следствия наших действий;

Здесь мы видим, что появились разделы, которые соответствуют инструментам «Листового металла».
После проведенных операций можно сделать развертку детали.

Таким образом, мы рассмотрели еще один способ создания деталей, с помощью которого можно облегчить себе работу по созданию сложных форм из листового металла.

Как в SolidWorks сделать из большой сборки одну деталь?

Pontyi Py

Вы можете опубликовать сообщение сейчас, а зарегистрироваться позже. Если у вас есть аккаунт, войдите в него для написания от своего имени.
Примечание: вашему сообщению потребуется утверждение модератора, прежде чем оно станет доступным.

Сейчас на странице 0 пользователей

Нет пользователей, просматривающих эту страницу.

Сообщения

mamomot

Автор: mamomot · Опубликовано: 10 минут назад
Вы — специалист по прочистке унитазов? Вантузом работаете?
Автор: gudstartup · Опубликовано: 1 час назад
В 2017 возможно все и решилось.
Автор: gudstartup · Опубликовано: 1 час назад
мониторинг и только сервис может еще кое что дистанционно посмотреть

VOleg

Автор: VOleg · Опубликовано: 1 час назад

Переписать Автора, Обозначение, Наименование получилось, но с текущей конфигурации. Надо бы перейти в конфигурацию 00. Дополнительно с вкладки Настройки надо списать имя папки, добавив диск «D» и сформировать имя файла =D:\Имя папки\Обозначение Наименование, проверить сохранен ли файл модели и если не сохранен, то сохранить. Далее проверить есть ли в папке чертеж, если есть, то открыть, если нет, то создать, заполнить вкладку Сумм. информ. чертежа, сохранить чертеж и закончить работу макроса — дальше я буду работать с чертежом. Вроде так? ‘Option Explicit Option Base 0 Dim swApp As Object Sub sumprop() Dim swApp As SldWorks.SldWorks Dim swModel As SldWorks.ModelDoc2 Dim swConfigMgr As SldWorks.ConfigurationManager Dim swConfig As SldWorks.Configuration Dim swCustPropMgr As SldWorks.CustomPropertyManager Dim cpm As CustomPropertyManager Dim mde As ModelDocExtension Dim vPropNames As Variant Dim vConfName As Variant Dim vConfParam As Variant Dim vConfValue As Variant Dim i As Long Dim j As Long Dim n As Integer Dim nprops As Integer Dim valOut As String Dim resolvedValOut As String Dim custPropType As Long Dim dcn As Variant Dim naim As Variant dcn = Null naim = Null Set swApp = Application.SldWorks Set swModel = swApp.ActiveDoc ‘ Начальные проверки If swModel Is Nothing Then MsgBox «Откройте документ», , «Ничего не открыто» Exit Sub End If Set swConfigMgr = swModel.ConfigurationManager Set swConfig = swConfigMgr.ActiveConfiguration Set swCustPropMgr = swConfig.CustomPropertyManager Set mde = swModel.Extension() Set cpm = mde.CustomPropertyManager(«») nprops = swCustPropMgr.Count vPropNames = swCustPropMgr.GetNames For j = 0 To nprops — 1 swCustPropMgr.Get2 vPropNames(j), valOut, resolvedValOut If vPropNames(j) = «Обозначение» Then dcn = resolvedValOut If vPropNames(j) = «Наименование» Then naim = resolvedValOut Next j If IsNull(dcn) Then MsgBox «Свойство » + VBA.Chr(34) + «Обозначение» + VBA.Chr(34) + » не найдено в текущей конфигурации» Else swModel.SummaryInfo(swSumInfoSubject) = dcn End If If IsNull(naim) Then MsgBox «Свойство » + VBA.Chr(34) + «Наименование» + VBA.Chr(34) + » не найдено в текущей конфигурации» Else swModel.SummaryInfo(swSumInfoTitle) = naim End If swModel.SummaryInfo(swSumInfoAuthor) = cpm.Get(«Разраб.») End Sub Забыл про виртуальную деталь со свойствами спецификации

Автор: karlf · Опубликовано: 2 часа назад

Здравствуйте. Подскажите пожалуйста, из-за чего могут не применяться параметры кинематики? Станок DMU-70V на стойке TNC 426. Меняю в параметрах 7530.1. Пробовал также создавать кинематическую таблицу и указывать к ней путь в файле OEM.SYS, но тоже ничего не происходит после перезагрузки.

VOleg

Автор: VOleg · Опубликовано: 3 часа назад

Пункты 1 и 2 думаю изложить по -другому: 1 Я создаю новую модель. Заполняю на вкладке Конфигурация Обозначение и Наименование. На вкладке Настройка из списка (через Таб-билдер) выбираю себя и папку, в которую будет все это складываться. 2 Закончив и сохранив модель я жму кнопку макроса «Создать чертеж». При этом все эти свойства переписываются в Суммарную информацию модели и чертежа. Дополнительно в модели создается виртуальная деталь «СП», в которую записываются все свойства спецификации: Обозначение, Наименование, Автор, Перв. применение спецификации, № изменения, № извещения, имя папки. Пункт 3 надо то же подправить: 3 Для сборочного чертежа я жму кнопку макроса «Создать спецификацию». При этом за полем чертежа вставляется спецификация, сразу формируется имя файла и подставляется имя папки, спецификация сохраняется с расширением XLS. Можно здесь же сохранить и сам чертеж, и PDF, благо имена одинаковые и уже сформированы. Соответственно в свойства файла PDF записываем Обозначение Наименование Автор. 4 Ну а для чертежа детали кнопка макроса «Сохранить» — аналогично п.3 но без спецификации.

Автор: neon4ik1 · Опубликовано: 3 часа назад

Добрый день , есть станок Ermaksan Speed band pro , под управление Kvara S640 , перестал включаться ошибка DLL loader init error 1117 , пост код 4 . Может кто сталкивался .

Добавить комментарий

Ваш адрес email не будет опубликован. Обязательные поля помечены *